<div class="row">
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-users"></i> Bans</h3>
                {bans_count} bans listed
            </div>

            <div class="card-body p-0">

                <table id="bans" class="table table-striped table-bordered table-responsive-xl table-hover display mb-0">
                    <thead>
                        <tr>
                            <th>Player</th>
                            <th>Reason</th>
                            <th>Date</th>
                            <th>Expires</th>
                            <th>Length</th>
                            <th>Admin</th>
                            <th>Realm</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ban in bans %}
                        <tr>
                            <td><a href="{NM_URL}player.php?id={ban[user](getId)}">{ban[user](getDisplayName)}</a></td>
                            <td>{ban[reason]}</td>
                            <td>{ban[date]}</td>
                            <td>{ban[expires]}</td>
                            <td>{ban[length]}</td>
                            <td><a href="{NM_URL}player.php?id={ban[admin](getId)}">{ban[admin](getDisplayName)}</a></td>
                            <td>{ban[realm]}</td>
                            <td></td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                <nav aria-label="Logs navigation">
                    <ul class="pagination justify-content-center">
                        <li class="page-item {% if page == "1" %}disabled{% endif %}">
                            <a class="page-link" href="{url}&page={page_prev}" aria-label="Previous">
                                <span aria-hidden="true">&laquo;</span>
                                <span class="sr-only">Previous</span>
                            </a>
                        </li>
                        {% for i in pages %}
                            {% if i == "-1" %}
                            <li class="page-item disabled"><a class="page-link" href="#">...</a></li>
                            {% elseif i == page %}
                            <li class="page-item active"><a class="page-link" href="{url}&page={i}">{i}</a></li>
                            {% else %}
                            <li class="page-item"><a class="page-link" href="{url}&page={i}">{i}</a></li>
                            {% endif %}
                        {% endfor %}
                        <li class="page-item {% if page == pages %}disabled{% endif %}">
                            <a class="page-link" href="{url}&page={page_next}" aria-label="Next">
                                <span aria-hidden="true">&raquo;</span>
                                <span class="sr-only">Next</span>
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>